#ifndef KSC_DEFENDER_ANTIVIRUS_INTERFACE_H
#define KSC_DEFENDER_ANTIVIRUS_INTERFACE_H

#include <ksc_defender_interface_def.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 杀毒软件注册
 * 参数： uuid: 杀毒软件注册时用于做唯一标识，整个生命周期不能改变
 *       virus_info: 杀毒软件信息
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_register_virus(char *uuid, ksc_virus_info *virus_info);

/*
 * 杀毒软件注销
 * 参数： uuid: 杀毒软件注册时用于做唯一标识，整个生命周期不能改变
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_unregister_virus(char *uuid);

/*
 * 杀毒软件信息上报
 * 参数： uuid: 杀毒软件注册时用于做唯一标识，整个生命周期不能改变
 *       virus_info: 杀毒软件信息
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_virus_info_upload(char *uuid, ksc_virus_info *virus_info);

/*
 * 杀毒软件状态上报
 * 参数： uuid: 杀毒软件注册时用于做唯一标识，整个生命周期不能改变
 *       virus_status: 系统安全状态
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_virus_status_upload(char *uuid, ksc_virus_status *virus_status);

#ifdef __cplusplus
}
#endif

#endif // KSC_DEFNDER_INTERFACE_H
