#ifndef KSC_DEFENDER_FIREWALL_INTERFACE_H
#define KSC_DEFENDER_FIREWALL_INTERFACE_H

#include <ksc_defender_interface_def.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 防火墙注册接口
 * 参数： uuid:  防火墙软件唯一标识，整个生命周期不能改变
 *       fw_info: 防火墙状态信息
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_register_firewall(char *uuid, ksc_firewall_info *fw_info);

/*
 * 防火墙注销接口
 * 参数： uuid:  防火墙软件唯一标识，整个生命周期不能改变
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_unregister_firewall(char *uuid);

/*
 * 防火墙注册接口
 * 参数： uuid:  防火墙软件唯一标识，整个生命周期不能改变
 *       fw_info: 防火墙状态信息
 * 返回值:
 *              ０：成功
 *              －１：非法数据
 *              －２：内存异常
 *              －３：参数异常
 *              其他：信息上报异常
 */
int ksc_defender_firewall_status_upload(char *uuid, ksc_firewall_status *fw_status);

#ifdef __cplusplus
}
#endif

#endif // KSC_DEFENDER_FIREWALL_INTERFACE_H
