#ifndef KSC_DEFENDER_INTERFACE_DEF_H
#define KSC_DEFENDER_INTERFACE_DEF_H

#ifndef KSC_PATH_MAX
#define KSC_PATH_MAX 1024
#endif

#define MAX_BUFFER_LEN 4096

#ifndef FUNC
#define FUNC  __func__
#endif

//杀软授权信息
typedef struct ksc_virus_auth_info
{
    int type;                       //授权类型  1 正式授权； 2 试用授权
    char expiration_date[32];       //授权到期时间，格式为YYYY-MM-DD HH:MM:SS
}ksc_virus_auth_info;

//杀软信息
typedef struct ksc_virus_info
{
    char name[256];                 //软件名称
    char ver[64];                   //版本号
    char release_date[32];          //软件发布日期，格式为YYYY-MM-DD
    char exec[KSC_PATH_MAX];        //程序路径,用于安全中心与该安全软件之间的用户操作调用接口
    char exec_scan[KSC_PATH_MAX];    //立即扫描,用于安全中心调用杀毒软件执行立即扫描功能
    char icon[KSC_PATH_MAX];        //程序图标,用于安全中心展示
    int upd_stat;                   //程序更新状态，0-->已是最新状态，无需要更新，1-->有可用更新，2-->更新失败
    char vlib_ver[64];              //病毒库版本，不能为空
    char vlib_date[32];             //病毒库日期，格式为YYYY-MM-DD
    int vlib_upd_stat;              //病毒库授权类型，0-->未授权、试用时间，1-->正式授权，2-->试用授权，3-->联控制中心授权，没有授权过期概念

    ksc_virus_auth_info auth_info;     //杀软授权信息
}ksc_virus_info;

//系统病毒安全状态信息
typedef struct ksc_virus_status
{
    int stat;               //病毒扫描及监控状态，0-->未进行扫描，1-->当前正在扫描
    char scan_date[32];     //最近一次病毒扫描结束时间，格式为YYYY-MM-DD HH:MM:SS
    int scan;               //最近一次扫描发现的病毒数
    int deal;               //本次扫描已处理的病毒
    int monitor;            //近10分钟内实时防护发现的病毒
}ksc_virus_status;

//可信插件状态
typedef struct ksc_trustapp_status
{
    int type;               //插件类型 0-->cpu, 1-->内存, 2-->固件， 3-->系统， 4-->插件
    int state;              //插件状态 0-->未启用， 1-->启用
}ksc_trustapp_status;


//防火墙软件信息
typedef struct ksc_firewall_info
{
    char name[256];                 //软件名称
    char ver[64];                   //版本号
    char release_date[32];          //软件发布日期，格式为YYYY-MM-DD
    char exec[KSC_PATH_MAX];        //程序路径,用于安全中心与该安全软件之间的用户操作调用接口
    char icon[KSC_PATH_MAX];        //程序图标,用于安全中心展示
    int upd_stat;                   //程序更新状态，0-->已是最新状态，无需要更新，1-->有可用更新，2-->更新失败
}ksc_firewall_info;

//防火墙状态信息
typedef struct ksc_firewall_status
{
    int stat;                       //状态， 0-->已开启， 1-->已关闭
}ksc_firewall_status;

#endif // KSC_DEFENDER_INTERFACE_DEF_H
